{ Fossil interface to work with XFOSSIL.PAS - OS/2 & Virtual Pascal }

uses serialio;

procedure fossil_send(c : char);
begin
   outcomch(c);
end;

function fossil_recv : char;
begin
   fossil_recv := get1char;
end;

function fossil_carr : boolean;
begin
   fossil_carr := carrierDetect;
end;


function fossil_init(com : byte) : boolean;
begin
   fossil_init := true;
end;


procedure fossil_dnit;
begin
   closeport;
end;


procedure fossil_sdtr(b : boolean);
begin
   setDtr(b);
end;


procedure fossil_fout;
begin
   dump;
end;


procedure fossil_kOut;
begin
   { ... }
end;


procedure fossil_kInp;
begin
   { ... }
end;


procedure fossil_Flow(b: boolean);
begin
   { ... }
end;


function fossil_char : boolean;
begin
   fossil_char := comhit;
end;


procedure fossil_parm(comport : byte;  baud : word;  databits : byte;  parity : char;  stopbits : byte);
var pt : parityT;
begin
   case upcase(parity) of
      'N' : pt := par_none;
      'O' : pt := par_odd;
      'E' : pt := par_even;
   end;
   initport(shortInt(comPort),pt,databits,stopbits,true,false);
   set_baud( longint(baud) );
end;


procedure fossil_write(s : string);
begin
   outcomstr(s);
end;


function fossil_gets : string;
var s : string;
begin
   s := '';
   while comhit do s := s + get1char;
   fossil_gets := s;
end;

